Bug 12540 - Batch modifications for records - unavailable "Every" option
Summary: Batch modifications for records - unavailable "Every" option
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-08 08:21 UTC by Jonathan Druart
Modified: 2017-06-14 22:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12540: Display "Every" on editing a MMT action if previously selected (2.31 KB, patch)
2015-09-22 10:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12540: Display "Every" on editing a MMT action if previously selected (2.38 KB, patch)
2015-10-30 13:56 UTC, Alex Arnaud
Details | Diff | Splinter Review
[PASSED QA] Bug 12540: Display "Every" on editing a MMT action if previously selected (2.41 KB, patch)
2015-11-06 15:35 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-07-08 08:21:55 UTC
Paola found the following error on testing bug 11395 comment 33:

ERROR on MARC modification templates: unavailable "Every" option:

I've edited this action:
Copy field 650$x to 650$y if 650$x matches RegEx m/ ^second 650 / 

Then I've changed all the 650-s into 750-s. I see "All" becoming "Every" (I have not understood why it has happened). I've saved, and I've editing the action again: now "All" is shown.
I've not been able to set "Every" option. 
I think that showing "Every" is an error, or there's a lack in managing that option (see C) below).
Comment 1 Marcel de Rooy 2014-10-02 13:06:35 UTC
Removing the dependency for now. There is still no code here.
Comment 2 Jonathan Druart 2015-09-22 10:21:45 UTC Comment hidden (obsolete)
Comment 3 Alex Arnaud 2015-10-29 10:19:38 UTC
I'm ok with the patch. Now i have "every" if i had "every" before saving.
But what is the point of changing this choice ? Especially as we change only the label, not the value of the option. So it would not change anything in the modification process ?
Comment 4 Jonathan Druart 2015-10-29 14:30:22 UTC
It's just a wording improvement.
Comment 5 Alex Arnaud 2015-10-30 13:56:58 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2015-11-06 15:35:28 UTC
Created attachment 44580 [details] [review]
[PASSED QA] Bug 12540: Display "Every" on editing a MMT action if previously selected

On creating a marc modification template action, the "All" is changed with
"Every" if the condition field is the same as the original field.

But on editing, the "All" value is not replaced. For consistency, it
should.

Test plan:
1/ Create the following action:
    Copy field 650$x to 650$y if 650$z matches "foobar"
Note that the "All" is replaced with "Every" when the condition is the
same field as the original field.
2/ Save
3/ Edit the action.
The "Every" should be selected.

Without this patch, "All" is selected.

Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2015-11-09 15:52:29 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 8 Frédéric Demians 2015-11-29 20:36:03 UTC
This patch has been pushed to 3.20.x, will be in 3.20.6.
Comment 9 Liz Rea 2016-01-06 21:24:08 UTC
Pushed to 3.18.13, and released.